xine-lib: post_audio_port_s Struct Reference

xine-lib 1.2.12

Data Fields
post_audio_port_s Struct Reference

`#include <post.h>`

## Data Fields
xine_audio_port_t | new_port
xine_audio_port_t * | original_port
xine_stream_t * | stream
pthread_mutex_t | usage_lock
int | usage_count
uint32_t | bits
uint32_t | rate
uint32_t | mode
pthread_mutex_t * | port_lock
post_plugin_t * | post
void * | user_data

## Field Documentation

## ◆ bits

uint32_t post_audio_port_s::bits

Referenced by fftgraph_port_open(), fftgraph_port_put_buffer(), fftscope_port_open(), fftscope_port_put_buffer(), fooviz_port_open(), fooviz_port_put_buffer(), goom_port_open(), goom_port_put_buffer(), oscope_port_open(), oscope_port_put_buffer(), post_audio_open(), post_audio_status(), stretch_port_open(), stretch_port_put_buffer(), stretch_process_fragment(), tdaan_port_open(), tdaan_port_put_buffer(), upmix_mono_port_open(), upmix_port_open(), upmix_port_put_buffer(), vdr_audio_port_open(), and volnorm_port_open().

## ◆ mode

uint32_t post_audio_port_s::mode

Referenced by fftgraph_port_open(), fftscope_port_open(), fooviz_port_open(), goom_port_open(), oscope_port_open(), post_audio_open(), post_audio_status(), stretch_port_open(), stretch_port_put_buffer(), stretch_process_fragment(), tdaan_port_open(), upmix_mono_port_open(), upmix_port_open(), vdr_audio_port_open(), and volnorm_port_open().

## ◆ new_port

xine_audio_port_t post_audio_port_s::new_port

Referenced by _x_post_intercept_audio_port(), fftgraph_open_plugin(), fftscope_open_plugin(), fooviz_open_plugin(), goom_open_plugin(), oscope_open_plugin(), post_audio_port_ref(), post_audio_port_unref(), stretch_open_plugin(), tdaan_open_plugin(), upmix_mono_open_plugin(), upmix_open_plugin(), vdr_audio_open_plugin(), and volnorm_open_plugin().

## ◆ original_port

xine_audio_port_t* post_audio_port_s::original_port

Referenced by _x_post_dispose(), _x_post_intercept_audio_port(), fftgraph_port_close(), fftgraph_port_open(), fftgraph_port_put_buffer(), fftscope_port_close(), fftscope_port_open(), fftscope_port_put_buffer(), fooviz_port_close(), fooviz_port_open(), fooviz_port_put_buffer(), goom_port_close(), goom_port_open(), goom_port_put_buffer(), oscope_port_close(), oscope_port_open(), oscope_port_put_buffer(), post_audio_close(), post_audio_control(), post_audio_exit(), post_audio_flush(), post_audio_get_buffer(), post_audio_get_capabilities(), post_audio_get_property(), post_audio_open(), post_audio_put_buffer(), post_audio_rewire(), post_audio_set_property(), post_audio_status(), stretch_port_close(), stretch_port_open(), stretch_port_put_buffer(), stretch_process_fragment(), tdaan_port_close(), tdaan_port_open(), tdaan_port_put_buffer(), upmix_mono_port_open(), upmix_mono_port_put_buffer(), upmix_port_open(), upmix_port_put_buffer(), vdr_audio_port_open(), vdr_audio_port_put_buffer(), volnorm_port_close(), volnorm_port_open(), and volnorm_port_put_buffer().

## ◆ port_lock

pthread_mutex_t* post_audio_port_s::port_lock

Referenced by post_audio_close(), post_audio_control(), post_audio_exit(), post_audio_flush(), post_audio_get_buffer(), post_audio_get_capabilities(), post_audio_get_property(), post_audio_open(), post_audio_put_buffer(), post_audio_set_property(), and post_audio_status().

## ◆ post

post_plugin_t* post_audio_port_s::post

Referenced by _x_post_intercept_audio_port(), fftgraph_port_close(), fftgraph_port_open(), fftgraph_port_put_buffer(), fftscope_port_close(), fftscope_port_open(), fftscope_port_put_buffer(), fooviz_port_close(), fooviz_port_open(), fooviz_port_put_buffer(), goom_port_close(), goom_port_open(), goom_port_put_buffer(), oscope_port_close(), oscope_port_open(), oscope_port_put_buffer(), post_audio_open(), post_audio_port_unref(), stretch_port_close(), stretch_port_open(), stretch_port_put_buffer(), stretch_process_fragment(), tdaan_port_close(), tdaan_port_open(), tdaan_port_put_buffer(), upmix_mono_port_open(), upmix_mono_port_put_buffer(), upmix_port_open(), upmix_port_put_buffer(), vdr_audio_port_open(), vdr_audio_port_put_buffer(), volnorm_port_open(), and volnorm_port_put_buffer().

## ◆ rate

uint32_t post_audio_port_s::rate

Referenced by fftgraph_port_open(), fftgraph_port_put_buffer(), fftscope_port_open(), fftscope_port_put_buffer(), fooviz_port_open(), fooviz_port_put_buffer(), goom_port_open(), oscope_port_open(), oscope_port_put_buffer(), post_audio_open(), post_audio_status(), stretch_port_open(), stretch_port_put_buffer(), stretch_process_fragment(), tdaan_port_open(), tdaan_port_put_buffer(), upmix_mono_port_open(), upmix_port_open(), upmix_port_put_buffer(), vdr_audio_port_open(), and volnorm_port_open().

## ◆ stream

xine_stream_t* post_audio_port_s::stream

Referenced by fftgraph_port_close(), fftgraph_port_open(), fftscope_port_close(), fftscope_port_open(), fooviz_port_close(), fooviz_port_open(), goom_port_close(), goom_port_open(), oscope_port_close(), oscope_port_open(), post_audio_close(), post_audio_open(), post_audio_rewire(), stretch_port_close(), stretch_port_open(), tdaan_port_close(), tdaan_port_open(), upmix_mono_port_open(), upmix_port_open(), vdr_audio_port_open(), volnorm_port_close(), and volnorm_port_open().

## ◆ usage_count

int post_audio_port_s::usage_count

Referenced by _x_post_dispose(), post_audio_port_ref(), and post_audio_port_unref().

## ◆ usage_lock

pthread_mutex_t post_audio_port_s::usage_lock

Referenced by _x_post_dispose(), _x_post_intercept_audio_port(), post_audio_port_ref(), and post_audio_port_unref().

## ◆ user_data

void* post_audio_port_s::user_data

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/post.h